Name:       perl-DBIx-Class-DateTime-Epoch
Version:    0.05
Release:    4%{?dist}
# lib/DBIx/Class/DateTime/Epoch.pm -> GPL+ or Artistic
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Automatic inflation/deflation of epoch-based DateTime objects for DBIx::Class
Source:     http://search.cpan.org/CPAN/authors/id/B/BR/BRICAS/DBIx-Class-DateTime-Epoch-%{version}.tar.gz
Url:        http://search.cpan.org/dist/DBIx-Class-DateTime-Epoch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(DateTime)
BuildRequires: perl(DBIx::Class) >= 0.08103
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)

Requires:      perl(DBIx::Class)

### auto-added brs!
BuildRequires:  perl(DBIx::Class::TimeStamp) >= 0.07
BuildRequires:  perl(DBICx::TestDatabase)

%description
This module automatically inflates/deflates DateTime objects
corresponding to applicable columns. Columns may also be defined to
specify their nature, such as columns representing a creation time
(set at time of insertion) or a modification time (set at time of
every update).


%prep
%setup -q -n DBIx-Class-DateTime-Epoch-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sat Aug 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.05-4
- adjust file ownership

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.05-2
- fix duplicate	directory ownership (perl-DBIx-Class owns %{perl_vendorlib}/DBIx/Class/)

* Wed Jun 03 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- auto-update to 0.05 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- altered br on perl(DBIx::Class) (0 => 0.08103)
- added a new br on perl(DBIx::Class::TimeStamp) (version 0.07)
- added a new br on perl(DBICx::TestDatabase) (version 0)

* Fri Apr 10 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- update for submission

* Fri Apr 10 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
